<script setup lang="ts">
import correctResponse from '@/libs/correctResponses';
import incorrectResponse from '@/libs/incorrectResponses';
import type { Answer } from '@/types/Answer';
import { computed } from 'vue';

const props = defineProps<{
  answer?: Answer;
}>();

const msg = computed(() => {
  const responses = props.answer?.isCorrectAnswer ? correctResponse : incorrectResponse;
  return responses[Math.floor(Math.random() * responses.length)];
});
</script>

<template>
  <div>
    <div v-if="props.answer?.hasBeenPicked && !props.answer?.isCorrectAnswer" class="w-full text-center text-red-900">
      <div>
        {{ msg }}
      </div>
    </div>
    <div v-if="props.answer?.hasBeenPicked && props.answer?.isCorrectAnswer" class="w-full text-center">
      <div class="text-green-600">
        <slot name="correctAnswerLabel">{{ msg }}</slot>
      </div>
      <slot name="plusOne"></slot>
    </div>
  </div>
</template>
